Summary: Various HOWTOs from the Linux Documentation Project
Name: howto
Version: 5.0
Release: 5
Group: Documentation
Source: ftp://sunsite.unc.edu/pub/Linux/HOWTO-5.0.tar.gz
Source1: http://sunsite.unc.edu/LDP/HOWTO/HOWTO-INDEX.html
Copyright: distributable
BuildRoot: /var/tmp/howto
BuildArchitectures: noarch
Obsoletes: ldp
Distribution: Hurricane
Vendor: Red Hat Software

%description
This is the best collection of Linux documentation there is.  It
was put together on October 22, 1997.  If you want to find newer
versions of these documents, see http://sunsite.unc.edu/linux.
For the versions in this package, see /usr/doc/HOWTO.

%changelog

* Fri Oct 24 1997 Otto Hammersmith <otto@redhat.com>

- fixed missing HOWTOs because the download ran out of space
- added an index html page for the howto-html package

* Thu Oct 23 1997 Otto Hammersmith <otto@redhat.com>

- untarred the html tarballs to obsolete the ldp package

* Wed Oct 22 1997 Otto Hammersmith <otto@redhat.com>

- updated version
- fixed description for the right date

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>

- made a noarch package

* Sat Apr 19 1997 Otto Hammersmith <otto@redhat.com>

Updated to more recent HOWTOs.

In the next major version, /usr/doc really ought to be cleaned out.
Right now, the ldp and howto packages overlap somewhat. (HTML docs,
the former, however, only has tar.gz files)

I didn't want to rearrange too much for 4.2, and there are other
documentation issues such as /usr/info.


%package dvi
Summary: dvi versions of the HOWTOs
Group: Documentation

%description dvi
These are the dvi versions of the HOWTOs.  Probably only useful
to TeX hackers.

%package ps
Summary: Postscript versions of the HOWTOs
Group: Documentation

%description ps
These are the PostScript versions of the HOWTOs.  You can view
them with ghostview or print them on PostScript printers.

%package html
Summary: html versions of the HOWTOs
Group: Documentation

%description html
These are the html versions of the HOWTOs.  You can view them 
with your favorite web browser.

%package sgml
Summary: sgml source versions of the HOWTOs
Group: Documentation

%description sgml
These are the SGML versions of the HOWTOs.  They are the ``source''
files that the HOWTOs are built from (using linuxdoc-sgml).

%package translations
Summary: translations of the HOWTOs
Group: Documentation

%description translations
Translations of the HOWTOs into foreign languages.  Currently
the only language supported is German, and it is only for part
of the HOWTOs.

%prep 
%setup -n HOWTO

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/doc/HOWTO
chmod 755 $RPM_BUILD_ROOT/usr/doc/HOWTO
cp -ar * $RPM_BUILD_ROOT/usr/doc/HOWTO
cd $RPM_BUILD_ROOT/usr/doc/HOWTO/other-formats/html
install -m 644 -o root -g root $RPM_SOURCE_DIR/HOWTO-INDEX.html .
for n in *.tar.gz
do
	tar -zxf $n
	rm -f $n
done
# cd back?
chown -R root.root $RPM_BUILD_ROOT/*
find $RPM_BUILD_ROOT/usr/doc/HOWTO -type f | xargs chmod 644
find $RPM_BUILD_ROOT/usr/doc/HOWTO -type d | xargs chmod 755
gzip -fn9 $RPM_BUILD_ROOT/usr/doc/HOWTO/*HOWTO

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/doc/HOWTO/*.gz
/usr/doc/HOWTO/mini

%files sgml
%dir /usr/doc/HOWTO
%dir /usr/doc/HOWTO/other-formats
/usr/doc/HOWTO/other-formats/sgml

%files html
%dir /usr/doc/HOWTO
%dir /usr/doc/HOWTO/other-formats
/usr/doc/HOWTO/other-formats/html/*

%files dvi
%dir /usr/doc/HOWTO
%dir /usr/doc/HOWTO/other-formats
/usr/doc/HOWTO/other-formats/dvi

%files ps
%dir /usr/doc/HOWTO
%dir /usr/doc/HOWTO/other-formats
/usr/doc/HOWTO/other-formats/ps

%files translations
%dir /usr/doc/HOWTO
/usr/doc/HOWTO/translations
